{ pkgs, ... }: {

  # yazi хуже ranger для моих потребностей, стоит на тесты. Ниже один из примеров, где yazi уступает
  # Если открыть картинку через yazi, то он просто передаст картинку или каталог в качестве аргумента,
  # из-за чего сортировка при пролистывании картинок будет "рандомной"
  # Если же открыть картинку через ranger, то в качетве аргумента он передаст список файлов,
  # где они отсортированы в том порядке, в котором отображаются у меня на экране в самом ranger

  home = {
    packages = with pkgs; [
      ffmpegthumbnailer # for video thumbnails
      unar # for archive preview
      jq # for JSON preview
      poppler # for PDF preview
      fd # for file searching
      ripgrep # for file content searching
      fzf # for quick file subtree navigation
      zoxide # for historical directories navigation
      xclip # for system clipboard support on x11
      #xsel # как xclip, но вроде как функционал больше
      #wl-clipboard # for system clipboard support on wayland

      # for plugins
      exiftool # for exifaudio.yazi
      glow # for glow.yazi
      ouch # for ouch.yazi
      miller # for miller.yazi
      starship # for starship.yazi
    ];

    file = {
      ".config/yazi/yazi.toml".source = ./yazi.toml;
      ".config/yazi/keymap.toml".source = ./keymap.toml;
      ".config/yazi/plugins".source = ./plugins; # https://yazi-rs.github.io/docs/resources/#functional
    };
  };

  programs.yazi = { # Файловый менеджер в терминале https://yazi-rs.github.io/features
    enable = true;

    enableBashIntegration = true;
    enableZshIntegration = true;
    # enableFishIntegration = true;
    # enableNushellIntegration = true;
  };
}